.p-name {
  font-size: 1.5rem;
  font-weight: bold;
  line-height: 1.08em;
  color: var(--primary-hex);
  text-transform: uppercase;
}
.p-summary {
  font-size: 1.2rem;
  font-weight: normal;
  line-height: 1.08em;
  color: var(--secondary-hex);
}
.p-name, .p-summary {
  letter-spacing: 1px;
  margin: 0 0 6px;
}
.published {
  font-size: 0.75rem;
  color: var(--quaternary-hex);
}
.h-entry .item_meta {
  border: none;
}
.entry-foot {
  margin-bottom: 40px;
}
.entry-enjoy,
.entry-share,
.entry-section {
  padding: 1.5em 0;
}
.entry-block {
  padding-bottom: 4em;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.entry-share a {
  margin-right: 0.5em;
}
.entry-share a:hover {
  opacity: 0.8;
}
button.js-enjoy {
  border: 1px solid var(--meta-hex);
  background: var(--background-hex);
  font-weight: 700;
  padding: 0.5em 1em;
  letter-spacing: 0.5px;
  font-family: monospace;
  text-transform: uppercase;
  color: #555;
  cursor: pointer;
  font-size: 0.875rem;
  transition: background 0.2s cubic-bezier(0.075, 0.82, 0.165, 1);
}
button.js-enjoy:not(:disabled):hover,
button.js-enjoy:not(:disabled):active {
  color: var(--primary-color-hex);
  border: 1px solid currentColor;
}
button.js-enjoy:disabled {
  cursor: not-allowed;
  background: var(--meta-hex);
}
button.js-enjoy i {
  font-style: normal;
}
button.enjoy:disabled i::before {
  display: inline-block;
  content: 'ed';
  margin-right: 6px;
}
.entry-license {
  background: var(--background-hex);
  font-size: 0.8em;
  padding: 1em;
  width: 100%;
  text-align: center;
}
.license_name {
  font-weight: bold;
}
.e-content {
  letter-spacing: 0.5px;
  line-height: 2;
  word-break: break-all;
  overflow-wrap: break-word;
  color: #555;
}
.e-content h1, .e-content h2, .e-content h3, .e-content h4, .e-content h5, .e-content h6 {
  color: var(--primary-hex);
  margin: 2.5em 0 1.3em 0;
}
.e-content h3 {
  font-size: 1.15rem;
}
.e-content p {
  margin: 0.8em 0 2.2em;
  padding: 0;
}
.e-content a {
  text-decoration: underline;
  color: var(--secondary-hex);
}
.e-content a {
  color: var(--primary-color-hex);
}
.e-content strong,
.e-contnet b {
  font-weight: bolder;
}
.e-content em,
.e-content i {
  font-style: italic;
}
.e-content img {
  max-width: 100%;
  height: auto;
  margin: 0.2em 0;
}
.e-content a img {
  border: none;
}
.e-content figure {
  position: relative;
  clear: both;
  outline: 0;
  margin: 10px 0 30px;
  padding: 0;
  min-height: 100px;
}
.e-content figure img {
  display: block;
  max-width: 100%;
  margin: auto auto 4px;
  box-sizing: border-box;
}
.e-content figure figcaption {
  position: relative;
  width: 100%;
  text-align: center;
  left: 0;
  margin-top: 10px;
  font-weight: 400;
  font-size: 14px;
  color: var(--secondary-hex);
}
.e-content figure figcaption a {
  text-decoration: none;
  color: var(--tertiary-hex);
}
.e-content hr {
  display: block;
  width: 14%;
  margin: 40px auto 34px;
  border: 0 none;
  border-top: 3px solid var(--quaternary-hex);
}
.e-content blockquote {
  margin: 0 0 1.64em 0;
  border-left: 3px solid var(--quaternary-hex);
  padding-left: 12px;
  color: var(--secondary-hex);
}
.e-content blockquote a {
  color: var(--secondary-hex);
}
.e-content ul,
.e-content ol {
  margin: 0 0 24px 6px;
  padding-left: 16px;
}
.e-content ul {
  list-style-type: square;
}
.e-content ol {
  list-style-type: decimal;
}
.e-content li {
  margin-bottom: 0.2em;
}
.e-content li ul,
.e-content li ol {
  margin-top: 0;
  margin-bottom: 0;
  margin-left: 14px;
}
.e-content li ul {
  list-style-type: disc;
}
.e-content li ul ul {
  list-style-type: circle;
}
.e-content li p {
  margin: 0.4em 0 0.6em;
}
.e-content .unstyled {
  list-style-type: none;
  margin: 0;
  padding: 0;
}
.e-content table {
  width: 100%;
  max-width: 100%;
  border-collapse: collapse;
  border-spacing: 0;
  margin-bottom: 1.5em;
  font-size: 0.96em;
  box-sizing: border-box;
}
.e-content th,
.e-content td {
  text-align: left;
  padding: 4px 8px 4px 10px;
}
.e-content td {
  vertical-align: top;
}
.e-content tr:nth-child(even) {
  background-color: var(--background-hex);
}
.e-content iframe {
  display: block;
  max-width: 100%;
  margin-bottom: 30px;
}
.e-content figure iframe {
  margin: auto;
}
.e-content table pre {
  margin: 0;
  padding: 0;
  border: none;
  background: none;
}
.e-content code {
  word-wrap: break-word;
  font-family: Inconsolata, monospace, sans-serif;
  white-space: pre-wrap;
  color: #222;
}
.code-head {
  background-color: #00000005;
  border-radius: 6px;
}
.code-head pre {
  margin: 0;
}
.block-code {
  margin: 1em 0;
  background: var(--background-hex);
  border-radius: 6px;
}
.block-code pre {
  padding: 7px 7px 7px 10px;
}
.highlight-table pre {
  padding: 0;
}
.block-embed .iframe_wrapper {
  width: 100%;
  position: relative;
}
.block-embed .iframe_wrapper iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.block-table {
  overflow-x: scroll;
}
.block-table thead {
  background: var(--background-hex);
  white-space: pre;
}
.block-table th,
.block-table td {
  border: 1px solid var(--meta-hex);
}

@media (min-width: 1100px) {
  .e-content blockquote {
    margin-left: -24px;
    padding-left: 20px;
    border-width: 4px;
  }
  .e-content blockquote blockquote {
    margin-left: 0;
  }
}

.highlight-table pre {
  margin: 0;
  padding: 0;
  border-left: 0;
  border-radius: 0 0 6px 6px;
  overflow-x:scroll;
}
.highlight-table table {
  margin: 0;
  background: var(--background-hex);
}
.highlight {
  color: var(--syntax-default);
}
.highlight .hll {
  display: block;
  background-color: var(--syntax-attention-bg);
}
.highlight .c {
  color: var(--syntax-comment);
}
.highlight .err {
  color: var(--syntax-invalid-illegal-text);
  background-color: var(--syntax-invalid-illegal-bg);
}
.highlight .g {
  color: #586e75;
}
.highlight .k {
  color: var(--syntax-keyword);
}
.highlight .l {
  color: #586e75;
}
.highlight .o {
  color: var(--syntax-constant);
}
.highlight .x {
  color: #cb4b16;
}
.highlight .cm {
  color: var(--syntax-comment);
}
.highlight .cp {
  color: var(--syntax-constant);
}
.highlight .c1 {
  color: var(--syntax-comment);
}
.highlight .cs {
  color: var(--syntax-comment);
  background-color: var(--syntax-attention-bg);
}
.highlight .gd {
  color: var(--syntax-markup-deleted-text);
  background-color: var(--syntax-markup-deleted-bg);
}
.highlight .ge {
  color: var(--syntax-markup-italic);
  font-style: italic;
}
.highlight .gr {
  color: var(--syntax-invalid-illegal-text);
  background-color: var(--syntax-invalid-illegal-bg);
}
.highlight .gh {
  color: var(--syntax-markup-heading);
}
.highlight .gi {
  color: var(--syntax-markup-inserted-text);
  background-color: var(--syntax-markup-inserted-bg);
}
.highlight .go {
  color: #586e75;
}
.highlight .gp {
  color: #586e75;
}
.highlight .gs {
  color: var(--syntax-markup-bold);
  font-weight: bold;
}
.highlight .gu {
  color: var(--syntax-markup-heading);
}
.highlight .gt {
  color: #586e75;
}
.highlight .kc {
  color: var(--syntax-keyword);
}
.highlight .kd {
  color: var(--syntax-keyword);
}
.highlight .kn {
  color: var(--syntax-keyword);
}
.highlight .kp {
  color: var(--syntax-keyword);
}
.highlight .kr {
  color: var(--syntax-keyword);
}
.highlight .kt {
  color: var(--syntax-entity);
}
.highlight .ld {
  color: #586e75;
}
.highlight .m {
  color: var(--syntax-constant);
}
.highlight .s {
  color: var(--syntax-string);
}
.highlight .il {
  color: var(--syntax-constant);
}
.highlight .na {
  color: var(--syntax-constant);
}
.highlight .nb {
  color: var(--syntax-builtin);
}
.highlight .nc {
  color: var(--syntax-definition);
}
.highlight .no {
  color: var(--syntax-constant);
}
.highlight .nd {
  color: var(--syntax-entity);
}
.highlight .ni {
  color: var(--syntax-entity);
}
.highlight .ne {
  color: #cb4b16;
}
.highlight .nf {
  color: var(--syntax-definition);
}
.highlight .nt {
  color: var(--syntax-tag);
}
.highlight .ow {
  color: var(--syntax-constant);
}
.highlight .w {
  color: #586e75;
}
.highlight .mf {
  color: var(--syntax-constant);
}
.highlight .mh {
  color: var(--syntax-constant);
}
.highlight .mi {
  color: var(--syntax-constant);
}
.highlight .mo {
  color: var(--syntax-constant);
}
.highlight .sb {
  color: #93a1a1;
}
.highlight .sc {
  color: var(--syntax-string);
}
.highlight .sd {
  color: var(--syntax-comment);
}
.highlight .s2 {
  color: var(--syntax-string);
}
.highlight .se {
  color: #cb4b16;
}
.highlight .sh {
  color: #586e75;
}
.highlight .si {
  color: var(--syntax-string);
}
.highlight .sx {
  color: var(--syntax-string);
}
.highlight .sr {
  color: var(--syntax-string-regexp);
}
.highlight .s1 {
  color: var(--syntax-string);
}
.highlight .ss {
  color: var(--syntax-string);
}
.highlight .bp {
  color: var(--syntax-variable);
}
.highlight .vc {
  color: var(--syntax-variable);
}
.highlight .vg {
  color: var(--syntax-variable);
}
.highlight .vi {
  color: var(--syntax-variable);
}
table.highlight {
  border-collapse: collapse;
  width: 100%;
}
table.highlight td {
  padding: 0 9px;
}
table.highlight td[data-line] {
  text-align: right;
  background-color: #00000005;
  width: 1px;
}
table.highlight td[data-line]:before {
  content: attr(data-line);
  opacity: 0.5;
}

:root {
  --syntax-default: #24292f;
  --syntax-comment: #6e7781;
  --syntax-constant: #0550ae;
  --syntax-entity: #8250df;
  --syntax-definition: #268bd2;
  --syntax-tag: #116329;
  --syntax-builtin: #b58900;
  --syntax-keyword: #cf222e;
  --syntax-string: #0a3069;
  --syntax-string-regexp: #116329;
  --syntax-variable: #953800;
  --syntax-invalid-illegal-text: #f6f8fa;
  --syntax-invalid-illegal-bg: #82071e;
  --syntax-markup-heading: #0550ae;
  --syntax-markup-italic: #24292f;
  --syntax-markup-bold: #24292f;
  --syntax-markup-deleted-text: #82071e;
  --syntax-markup-deleted-bg: #ffebe9;
  --syntax-markup-inserted-text: #116329;
  --syntax-markup-inserted-bg: #dafbe1;
  --syntax-markup-changed-text: #953800;
  --syntax-markup-changed-bg: #ffd8b5;
  --syntax-markup-ignored-text: #eaeef2;
  --syntax-markup-ignored-bg: #0550ae;
  --syntax-meta-diff-range: #8250df;
  --syntax-attention-bg: #fff8c5;
}
